Commits

camlspotter  committed d2ea59e Merge

removed hgtags

  • Participants
  • Parent commits af3b66b, 3de8bad
  • Branches ocaml-svn-copy

Comments (0)

Files changed (2)

File .hgtags

-44487b29b382f81c989876c293cbe266532784c9 ocaml3110rc1
-dcce7f620fb633c7fd78500b392bc62df5617bad ocaml3110
-8978bc8842bebab725216b06dc79ed161ce3e4e4 ocaml3111rc0
-b4974e63d55e8409f3c704ed315da2965012f547 ocaml3111rc1
-10f98a71c87760184281b6e695b323f2d64968c9 ocaml3111
-ae6728f0e0439d38ee8522c4d7386b5f742ec9d1 ocaml3112
-682f910ff10a427a3a4b9ef2f207262751b8abf0 ocaml3112
-682f910ff10a427a3a4b9ef2f207262751b8abf0 ocaml3112
-f520050fb285ce7a85ca4f3612fa7b61248dd494 ocaml3112
-c4d90fce4f27d244c4167c3736679f24e3a3b6de ocaml-svn-rev-10585
-c4d90fce4f27d244c4167c3736679f24e3a3b6de ocaml-svn-rev-10585
-0000000000000000000000000000000000000000 ocaml-svn-rev-10585
-e1d57f23f89f51e7da200d76b49286eec745a938 ocaml-svn-3.12-10585
-6e3d760f41c6751aecb4e01d18d9c0583bf665c1 ocaml-3.12.0+rc1-10630
-19d9405b606d69483560d805d534bd1e16fb38aa ocaml-3.12.0-10643
-3437b12601eebe89607cc5cd5c53305fe921ac53 v3.12.1+rc1
-fd2e5fc29b552efafdaa0b893ad8efc26bf37c12 ocaml-3.12.1-11110
-2d6735cf38517a9dfc0f26aec20f0a2065008257 ocaml-3.12.1-11110
-7146b359dbb451bb83186ca14652adec10112963 ocaml-3.13.0+dev8-11945

File 0scripts/0BUILD.sh

+#!/bin/sh
+
+# Build the whole.
+#
+#   If an argument is specified, use it as PREFIX, then install the system
+#   Otherwise, it uses $PREFIX, and does not perform installation.
+
+set -e
+
+if [ "$1" != "" ]; then
+    PREFIX=$1
+    INSTALL=1
+fi
+
+./configure --prefix $PREFIX
+make clean core coreboot
+./build/mixed-boot.sh
+cp boot/myocamlbuild boot/myocamlbuild.boot
+make world opt opt.opt
+
+if [ "$INSTALL" = "1" ]; then
+  /bin/rm -rf $PREFIX/lib/ocaml
+  /bin/rm -rf $PREFIX/bin/ocaml*
+  /bin/rm -rf $PREFIX/bin/caml*
+  mkdir -p $PREFIX/lib
+  mkdir -p $PREFIX/bin
+  make install
+fi